Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.io
Class RandomAccessOutputStream

    java.lang.Object
      java.io.OutputStream
          org.archive.io.RandomAccessOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class RandomAccessOutputStream

extends java.io.OutputStream

Wraps a RandomAccessFile with OutputStream interface.

Author:
  gojomo

Field Summary
`(package private) java.io.RandomAccessFile` | `raf`

Constructor Summary
`RandomAccessOutputStream(java.io.RandomAccessFile raf)` Wrap the given RandomAccessFile

Method Summary
`void` | `close()`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.io.OutputStream
`flush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### raf

    java.io.RandomAccessFile raf

Constructor Detail

### RandomAccessOutputStream

    public RandomAccessOutputStream(java.io.RandomAccessFile raf)

  Wrap the given RandomAccessFile

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.